IDA(1)

NAME
ida - image viewing and editing program

SYNOPSIS
ida [options] file ...

DESCRIPTION
Ida is a small and fast application for viewing images. Some basic editing functions are available too.

You can specify any number of image files as arguments on the command line. Or you can read a single image from stdin by specifying "-" as only argument ("xwd | ida -" works nice for screenshots).

OPTIONS
Ida understands the usual toolkit options (-geometry + friends). Additional options are:

-help
    print a short help text

-pcd n
    Pick size for PhotoCD images (n = 1 .. 5, default 3).

-debug
    Enable debug messages. Also has the side effect that error messages are displayed on stderr only and not as message box.

GETTING STARTED

  Mouse functions

With the left mouse button you can creates and edit a selection rectangle. The middle button is used to start drag'n'drop operations. The right button brings up the control window with menus, toolbar and file list.

  Keyboard Shortcuts

Many keyboard shortcuts used by xv are available in ida too. If you are familiar with xv if should be easy for you to get started with ida.

All available keyboard shortcuts are also listed in the menus of the control window. The most important ones are listed below:

SPACE
    Next file.

BACKSPACE
    Previous file.

LEFT_ARROW, RIGHT_ARROW, UP_ARROW, DOWN_ARROW
    Scrolling (hold Ctrl key for big steps).

+/- Zoom in/out.

q   Quit.

  Supported image formats

Read:
    BMP (uncompressed), PhotoCD, PPM, XBM, XPM, XWD, GIF, JPEG, PNG, TIFF. The last four are supported using the usual libraries, i.e. you need to have them installed at compile time.

Write:
    JPEG, PNG, PostScript, PPM, TIFF.

  Using drag'n'drop
Ida is a motif application and thus supports the motif drag'n'drop protocol in both directions. The xdnd protocol is supported too, but only in one direction (receive drops).

Ida uses the middle mouse button to start a drag'n'drop operation (as the motif style guide suggests). This works for the main window and the file buttons within the file browser.

Motif applications should have absolutely no problems to deal with ida's drag'n'drop support. You can drop images into some netscape 4.x window -- it imply works. Mozilla accepts motif drops too.

Interoperation with gnome / gtk is good. I can drag files from ida to eeyes and visa versa without problems. File drops from gmc into ida work just fine too.

Interoperation with KDE is bad. cut+paste works most of the time, drag'n'drop often doesn't. The X11 selection handling of the Qt toolkit has a few design bugs and sucks. Basically the troll guys didn't understand what the TARGETS target is good for and violate the ICCCM specs by ignoring it.

SEE ALSO
xwd(1)

AUTHOR
Gerd Hoffmann <gerd@kraxel.org>

COPYRIGHT
Copyright (c) 2002-2012 Gerd Hoffmann <gerd@kraxel.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.